Skip to main content
POST
/
notes
/
{note_id}
/
documents
/
upload
Upload Note Document
curl --request POST \
  --url https://api.decodahealth.com/notes/{note_id}/documents/upload \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'TENANT: <tenant>' \
  --form file='@example-file' \
  --form 'title=<string>' \
  --form doc_type=OTHER
import requests

url = "https://api.decodahealth.com/notes/{note_id}/documents/upload"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"title": "<string>",
"doc_type": "OTHER"
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('title', '<string>');
form.append('doc_type', 'OTHER');

const options = {method: 'POST', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

options.body = form;

fetch('https://api.decodahealth.com/notes/{note_id}/documents/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "patientId": "<string>",
  "filePath": "<string>",
  "fileType": "<string>",
  "title": "<string>",
  "summary": "<string>",
  "signatureUrl": "<string>",
  "createdDate": "2023-11-07T05:31:56Z",
  "noteIds": [],
  "sourceNoteId": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

note_id
string
required

Body

multipart/form-data
file
file
required
title
string
required
doc_type
enum<string>
default:OTHER
Available options:
LAB,
PHARMACY,
IMAGE,
REPORT,
OTHER,
CONSENT,
NOTE_UPLOAD

Response

Successful Response

id
string
required
patientId
string
required
filePath
string
required
fileType
string
required
title
string
required
summary
string | null
required
docType
enum<string>
required
Available options:
LAB,
PHARMACY,
IMAGE,
REPORT,
OTHER,
CONSENT,
NOTE_UPLOAD
signatureUrl
string | null
required
createdDate
string<date-time> | null
noteIds
string[]
sourceNoteId
string | null